Ký hóa đơn
POST /<provider>/sign-contract
API dùng để ký hóa đơn gửi sang Cơ quan thuế.
Headers
| Name | Required | Description |
|---|---|---|
Authorization | ✅ | Bearer token_truy_cap |
Content-Type | ✅ | application/json |
X-Tax-Code | ✅ | Mã số thuế của người bán. |
Body Parameters
| Name | Required | Description |
|---|---|---|
id | ✅ | sid hóa đơn (trả về trong từng phần tử của danh sách hóa đơn). |
inv.stax | ✅ | Mã số thuế người bán. |
inv.start_date | ✅ | Ngày xuất hóa đơn. |
inv.end_date | ✅ | Ngày xuất hóa đơn. |
- cURL
curl --location 'https://stag-invoice-hub.atomsolution.vn/m-invoice/sign-contract' \
--header 'authorization: Bearer O87316arj5+Od3Fqyy5hzdBfIuPk73eKqpAzBSvv8sY=' \
--header 'x-tax-code: 0106026495-998' \
--header 'Content-Type: application/json' \
--data '{
"id": "3a1baffc-e577-a496-8a02-35145559c213",
"inv": {
"stax": "0106026495-998",
"start_date": "2025-08-12",
"end_date": "2025-08-12"
}
}'